View Issue Details

IDProjectCategoryView StatusLast Update
0003472SketcherFeaturepublic2018-05-23 11:50
Reporterbejant Assigned Toabdullah  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.18 
Target VersionFixed in Version0.18 
Summary0003472: Add 90 Degree Arc to Sketcher Polyline Mode
DescriptionIt would be handy to be able to create 90 degree arcs when using the Sketcher Polyline tool, so I'm asking that this behavior be added so that it is available when pressing the M key to cycle through the Polyline modes. When in the Polyline tool, after creating the first line segment, the third press of the M key cycles to a tangent arc. When placing the endpoint of this arc, it is difficult (usually impossible) to create a true 90 degree arc so that the following line segment is perpendicular to the first line segment.

1. In the common use case of starting with, let's say, a horizontal line in the Polyline tool, it is easy to place the start point of the Polyline (point #1), and then to locate the cursor so that the cursor indicates that a horizontal constraint will be created when point 0000002 is placed.

2. From here, the third M key press causes an arc to be created tangent to the first line segment when Polyline point 0000003 is placed. Try your best to move the cursor so that indicates an included angle of exactly 90 degrees, or to create the arc so that the included angle is exactly 90 degrees when placing Polyline point 0000003.

3. The next (vertical) Polyline segment placed will not be constrained as vertical, so the user has to manually apply the Vertical Constraint.

4. For a Polyline of multiple horizontal and vertical line segments connected by multiple arcs between the line segmments, the user has to add multiple H or V constraints after the Polyline is created.

This feature request would fix that, and save a little time for the user. I had originally thought that the 90 degree arc should be invoked on the fourth M keypress, which is after the tangent arc and before the first perpendicular arc. Now I'm thinking that this proposed 90 degree tangent arc would be used more often than the existing tangent arc of varying included angle, and so the new 90 degree arc should be invoked on the third M keypress, and the existing tangent arc of variable included angle would be the fourth keypress, while the two existing perpendicular arcs would become M keypresses 5 and 6.

Forum post (scroll towards the bottom of my post):
https://forum.freecadweb.org/viewtopic.php?f=3&t=28492&start=80#p233169
Steps To ReproduceIncluded above.
Additional InformationTesting using my newest daily build (2 days old):

OS: Ubuntu 16.04.4 LTS
Word size of OS: 32-bit
Word size of FreeCAD: 32-bit
Version: 0.18.13674 (Git)
Build type: None
Branch: master
Hash: 32f089f28408479ce65a22a753bb815ffe3d45ed
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: English/UnitedStates (en_US)
TagsNo tags attached.
FreeCAD Information

Issue History

Date Modified Username Field Change
2018-05-12 21:27 bejant New Issue
2018-05-20 19:02 abdullah Assigned To => abdullah
2018-05-20 19:02 abdullah Status new => assigned
2018-05-21 05:56 abdullah Note Added: 0011261
2018-05-23 11:50 wmayer Status assigned => closed
2018-05-23 11:50 wmayer Resolution open => fixed
2018-05-23 11:50 wmayer Fixed in Version => 0.18
2018-05-23 11:50 wmayer Note Added: 0011273